org.opencv.features2d

## Class FeatureDetector

- java.lang.Object
- - org.opencv.features2d.FeatureDetector

-     public class FeatureDetector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AKAZE`
    `static int` | `BRISK`
    `static int` | `DENSE`
    `static int` | `DYNAMIC_AKAZE`
    `static int` | `DYNAMIC_BRISK`
    `static int` | `DYNAMIC_DENSE`
    `static int` | `DYNAMIC_FAST`
    `static int` | `DYNAMIC_GFTT`
    `static int` | `DYNAMIC_HARRIS`
    `static int` | `DYNAMIC_MSER`
    `static int` | `DYNAMIC_ORB`
    `static int` | `DYNAMIC_SIFT`
    `static int` | `DYNAMIC_SIMPLEBLOB`
    `static int` | `DYNAMIC_STAR`
    `static int` | `DYNAMIC_SURF`
    `static int` | `FAST`
    `static int` | `GFTT`
    `static int` | `GRID_AKAZE`
    `static int` | `GRID_BRISK`
    `static int` | `GRID_DENSE`
    `static int` | `GRID_FAST`
    `static int` | `GRID_GFTT`
    `static int` | `GRID_HARRIS`
    `static int` | `GRID_MSER`
    `static int` | `GRID_ORB`
    `static int` | `GRID_SIFT`
    `static int` | `GRID_SIMPLEBLOB`
    `static int` | `GRID_STAR`
    `static int` | `GRID_SURF`
    `static int` | `HARRIS`
    `static int` | `MSER`
    `protected long` | `nativeObj`
    `static int` | `ORB`
    `static int` | `PYRAMID_AKAZE`
    `static int` | `PYRAMID_BRISK`
    `static int` | `PYRAMID_DENSE`
    `static int` | `PYRAMID_FAST`
    `static int` | `PYRAMID_GFTT`
    `static int` | `PYRAMID_HARRIS`
    `static int` | `PYRAMID_MSER`
    `static int` | `PYRAMID_ORB`
    `static int` | `PYRAMID_SIFT`
    `static int` | `PYRAMID_SIMPLEBLOB`
    `static int` | `PYRAMID_STAR`
    `static int` | `PYRAMID_SURF`
    `static int` | `SIFT`
    `static int` | `SIMPLEBLOB`
    `static int` | `STAR`
    `static int` | `SURF`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FeatureDetector(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FeatureDetector` | `create(int detectorType)`
    `void` | `detect(java.util.List<Mat> images, java.util.List<MatOfKeyPoint> keypoints)`
    `void` | `detect(java.util.List<Mat> images, java.util.List<MatOfKeyPoint> keypoints, java.util.List<Mat> masks)`
    `void` | `detect(Mat image, MatOfKeyPoint keypoints)`
    `void` | `detect(Mat image, MatOfKeyPoint keypoints, Mat mask)`
    `boolean` | `empty()`
    `protected void` | `finalize()`
    `void` | `read(java.lang.String fileName)`
    `void` | `write(java.lang.String fileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

    - #### FAST

          public static final int FAST

      See Also:
        Constant Field Values

    - #### STAR

          public static final int STAR

      See Also:
        Constant Field Values

    - #### SIFT

          public static final int SIFT

      See Also:
        Constant Field Values

    - #### SURF

          public static final int SURF

      See Also:
        Constant Field Values

    - #### ORB

          public static final int ORB

      See Also:
        Constant Field Values

    - #### MSER

          public static final int MSER

      See Also:
        Constant Field Values

    - #### GFTT

          public static final int GFTT

      See Also:
        Constant Field Values

    - #### HARRIS

          public static final int HARRIS

      See Also:
        Constant Field Values

    - #### SIMPLEBLOB

          public static final int SIMPLEBLOB

      See Also:
        Constant Field Values

    - #### DENSE

          public static final int DENSE

      See Also:
        Constant Field Values

    - #### BRISK

          public static final int BRISK

      See Also:
        Constant Field Values

    - #### AKAZE

          public static final int AKAZE

      See Also:
        Constant Field Values

    - #### GRID_FAST

          public static final int GRID_FAST

      See Also:
        Constant Field Values

    - #### GRID_STAR

          public static final int GRID_STAR

      See Also:
        Constant Field Values

    - #### GRID_SIFT

          public static final int GRID_SIFT

      See Also:
        Constant Field Values

    - #### GRID_SURF

          public static final int GRID_SURF

      See Also:
        Constant Field Values

    - #### GRID_ORB

          public static final int GRID_ORB

      See Also:
        Constant Field Values

    - #### GRID_MSER

          public static final int GRID_MSER

      See Also:
        Constant Field Values

    - #### GRID_GFTT

          public static final int GRID_GFTT

      See Also:
        Constant Field Values

    - #### GRID_HARRIS

          public static final int GRID_HARRIS

      See Also:
        Constant Field Values

    - #### GRID_SIMPLEBLOB

          public static final int GRID_SIMPLEBLOB

      See Also:
        Constant Field Values

    - #### GRID_DENSE

          public static final int GRID_DENSE

      See Also:
        Constant Field Values

    - #### GRID_BRISK

          public static final int GRID_BRISK

      See Also:
        Constant Field Values

    - #### GRID_AKAZE

          public static final int GRID_AKAZE

      See Also:
        Constant Field Values

    - #### PYRAMID_FAST

          public static final int PYRAMID_FAST

      See Also:
        Constant Field Values

    - #### PYRAMID_STAR

          public static final int PYRAMID_STAR

      See Also:
        Constant Field Values

    - #### PYRAMID_SIFT

          public static final int PYRAMID_SIFT

      See Also:
        Constant Field Values

    - #### PYRAMID_SURF

          public static final int PYRAMID_SURF

      See Also:
        Constant Field Values

    - #### PYRAMID_ORB

          public static final int PYRAMID_ORB

      See Also:
        Constant Field Values

    - #### PYRAMID_MSER

          public static final int PYRAMID_MSER

      See Also:
        Constant Field Values

    - #### PYRAMID_GFTT

          public static final int PYRAMID_GFTT

      See Also:
        Constant Field Values

    - #### PYRAMID_HARRIS

          public static final int PYRAMID_HARRIS

      See Also:
        Constant Field Values

    - #### PYRAMID_SIMPLEBLOB

          public static final int PYRAMID_SIMPLEBLOB

      See Also:
        Constant Field Values

    - #### PYRAMID_DENSE

          public static final int PYRAMID_DENSE

      See Also:
        Constant Field Values

    - #### PYRAMID_BRISK

          public static final int PYRAMID_BRISK

      See Also:
        Constant Field Values

    - #### PYRAMID_AKAZE

          public static final int PYRAMID_AKAZE

      See Also:
        Constant Field Values

    - #### DYNAMIC_FAST

          public static final int DYNAMIC_FAST

      See Also:
        Constant Field Values

    - #### DYNAMIC_STAR

          public static final int DYNAMIC_STAR

      See Also:
        Constant Field Values

    - #### DYNAMIC_SIFT

          public static final int DYNAMIC_SIFT

      See Also:
        Constant Field Values

    - #### DYNAMIC_SURF

          public static final int DYNAMIC_SURF

      See Also:
        Constant Field Values

    - #### DYNAMIC_ORB

          public static final int DYNAMIC_ORB

      See Also:
        Constant Field Values

    - #### DYNAMIC_MSER

          public static final int DYNAMIC_MSER

      See Also:
        Constant Field Values

    - #### DYNAMIC_GFTT

          public static final int DYNAMIC_GFTT

      See Also:
        Constant Field Values

    - #### DYNAMIC_HARRIS

          public static final int DYNAMIC_HARRIS

      See Also:
        Constant Field Values

    - #### DYNAMIC_SIMPLEBLOB

          public static final int DYNAMIC_SIMPLEBLOB

      See Also:
        Constant Field Values

    - #### DYNAMIC_DENSE

          public static final int DYNAMIC_DENSE

      See Also:
        Constant Field Values

    - #### DYNAMIC_BRISK

          public static final int DYNAMIC_BRISK

      See Also:
        Constant Field Values

    - #### DYNAMIC_AKAZE

          public static final int DYNAMIC_AKAZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FeatureDetector

          protected FeatureDetector(long addr)

  - ### Method Detail

    - #### create

          public static FeatureDetector create(int detectorType)

    - #### empty

          public boolean empty()

    - #### detect

          public void detect(Mat image,
                             MatOfKeyPoint keypoints,
                             Mat mask)

    - #### detect

          public void detect(Mat image,
                             MatOfKeyPoint keypoints)

    - #### detect

          public void detect(java.util.List<Mat> images,
                             java.util.List<MatOfKeyPoint> keypoints,
                             java.util.List<Mat> masks)

    - #### detect

          public void detect(java.util.List<Mat> images,
                             java.util.List<MatOfKeyPoint> keypoints)

    - #### read

          public void read(java.lang.String fileName)

    - #### write

          public void write(java.lang.String fileName)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`